Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5278 - gdb 4.18-4 regression: misreading of C debug info
Summary: gdb 4.18-4 regression: misreading of C debug info
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gdb
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-21 17:09 UTC by Dan Mosedale
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-05 14:31:49 UTC


Attachments (Terms of Use)

Description Dan Mosedale 1999-09-21 17:09:07 UTC
Building mozilla from CVS (using egcs-1.12-12), I've been
trying to set breakpoints and inspect code in a certain
function.  Specifically, I'm trying to play with mozilla's
nsEventStateManager::CheckForAndDispatchClick in
mozilla/layout/events/nsEventStateManager.cpp.

If I do "list nsEventStateManager::CheckForAndDispatchClick"
from gdb-4.18-4, I see the following (incorrect) output:

477	        }
478	      }
479	    }
480	  }
481	  return ret;
482	}
483
484	NS_IMETHODIMP
485	nsEventStateManager::SetPresContext(nsIPresContext*
aPresContext)
486	{

If I revert back to gdb-4.17.0.11-6 (as shipped with RH6),
that same command produces the following (correct) output:

816
817     NS_IMETHODIMP
818
nsEventStateManager::CheckForAndDispatchClick(nsIPresContext&
aPresContext,
819
nsMouseEvent *aEvent,
820
nsEventStatus& aStatus)
821     {
822       nsresult ret = NS_OK;
823       nsMouseEvent event;
824       nsCOMPtr<nsIContent> mouseContent;
825       PRBool fireClick = PR_FALSE;

If you want help building mozilla or otherwise reproducing
this, I can usually be found on irc.mozilla.org in #mozilla.

Comment 1 Dan Mosedale 1999-10-04 23:52:59 UTC
This is turning out to be something of a heisenbug: I'm having
problems reproducing this on my machines at work, even
though I've done so before.  I'm going to try and see if I can get
it again on my home machine, where I originally discovered the
problem, this evening.

Comment 2 Jim Kingdon 1999-10-05 14:31:59 UTC
Can re-open this once we've figured out to reproduce it.


Note You need to log in before you can comment on or make changes to this bug.